% File src/library/base/man/Defunct.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{Defunct}
\title{Marking Objects as Defunct}
\alias{Defunct}
\alias{.Defunct}
\alias{defunct}

\description{
\R からある関数を取り除いた時は，それを \code{.Defunct} を呼び出す
関数に置き換えるべきである．
}
\usage{
.Defunct(new, package = NULL, msg)
}
\arguments{
  \item{new}{
    文字列：代替関数の示唆．
  }
  \item{package}{
    文字列: どこに廃止関数がリストされているかを示唆する際に使うパッケージ．
  }
  \item{msg}{
    文字列：プリントされるメッセージ．もしなければ既定のメッセージが使われる．
  }
}
\details{
\code{.Defunct} は廃止された関数から呼び出される．関数は
 \code{base} (対応する Rd ファイルへのエイリアスを加え)を含む，
 適当な \code{pkg} に対する \code{help("pkg-defunct")} 中にリストされるべきである．
}
\seealso{
  \code{\link{Deprecated}}.

  パッケージ中の廃止関数をリストする \code{base-defunct} 等．
  }
\keyword{documentation}
\keyword{utilities}


%\name{Defunct}
%\title{Marking Objects as Defunct}
%\alias{Defunct}
%\alias{.Defunct}
%\alias{defunct}
%
%\description{
%  When a function is removed from \R it should be replaced by a function
%  which calls \code{.Defunct}.
%}
%\usage{
%.Defunct(new, package = NULL, msg)
%}
%\arguments{
%  \item{new}{
%    character string: A suggestion for a replacement function.
%  }
%  \item{package}{
%    character string: The package to be used when suggesting where the
%    defunct function might be listed.
%  }
%  \item{msg}{
%    character string: A message to be printed, if missing a default
%    message is used.
%  }
%}
%\details{
%  \code{.Defunct} is called from defunct functions.  Functions should be
%  listed in \code{help("pkg-defunct")} for an appropriate \code{pkg},
%  including \code{base} (with the alias added to the respective Rd
%  file).
%}
%\seealso{
%  \code{\link{Deprecated}}.
%
%  \code{base-defunct} and so on which list the defunct functions
%  in the packages.
%}
%\keyword{documentation}
%\keyword{utilities}
%
\encoding{UTF8}
