% File src/library/base/man/print.dataframe.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2008 R Core Team
% Distributed under GPL 2 or later

\name{print.data.frame}
\title{Printing Data Frames}
\alias{print.data.frame}
\description{
  データフレームをプリントする．
}
\usage{
\method{print}{data.frame}(x, \dots, digits = NULL,
      quote = FALSE, right = TRUE, row.names = TRUE)
}
\arguments{
  \item{x}{クラス \code{data.frame} のオブジェクト．}
  \item{\dots}{\code{print} 又は \code{plot} メソッドへのオプション引数．}
  \item{digits}{使われる最少の桁数：
    \code{\link{print.default}} を見よ．}
  \item{quote}{論理値，項目を引用符無しでプリントするかどうかを指示する．}
  \item{right}{論理値，文字列は右揃えされるかどうかを指示する．
    既定は右揃え．}
  \item{row.names}{論理値(又は文字列)，行名をどのようにプリントするか，
    又はどの行名をプリントするかを指示する．}
}
\details{
  これはデータフレームを列毎に整形する \code{\link{format}} を呼び出し，
  それから文字列に変換し行列に対する
  \code{print} メソッドを選択適用する．

  \code{quote = TRUE} の時は項目だけが引用化され，行名や列名は
  引用化されない．
}
\seealso{
  \code{\link{data.frame}}.
}
\examples{
(dd <- data.frame(x = 1:8, f = gl(2,4), ch = I(letters[1:8])))
     # 既定の print()
print(dd, quote = TRUE, row.names = FALSE)
     # 行名をなくし全ての項目を引用化する
}
\keyword{print}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/base/man/print.dataframe.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2008 R Core Team
%% Distributed under GPL 2 or later
%
%\name{print.data.frame}
%\title{Printing Data Frames}
%\alias{print.data.frame}
%\description{
%  Print a data frame.
%}
%\usage{
%\method{print}{data.frame}(x, \dots, digits = NULL,
%      quote = FALSE, right = TRUE, row.names = TRUE)
%}
%\arguments{
%  \item{x}{object of class \code{data.frame}.}
%  \item{\dots}{optional arguments to \code{print} or \code{plot} methods.}
%  \item{digits}{the minimum number of significant digits to be used: see
%    \code{\link{print.default}}.}
%  \item{quote}{logical, indicating whether or not entries should be
%    printed with surrounding quotes.}
%  \item{right}{logical, indicating whether or not strings should be
%    right-aligned.  The default is right-alignment.}
%  \item{row.names}{logical (or character vector), indicating whether (or
%    what) row names should be printed.}
%}
%\details{
%  This calls \code{\link{format}} which formats the data frame
%  column-by-column, then converts to a character matrix and dispatches
%  to the \code{print} method for matrices.
%
%  When \code{quote = TRUE} only the entries are quoted not the row names
%  nor the column names.
%}
%\seealso{
%  \code{\link{data.frame}}.
%}
%\examples{
%(dd <- data.frame(x = 1:8, f = gl(2,4), ch = I(letters[1:8])))
%     # print() with defaults
%print(dd, quote = TRUE, row.names = FALSE)
%     # suppresses row.names and quotes all entries
%}
%\keyword{print}
%
\encoding{UTF8}
