% File src/library/base/man/zScript.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2009 R Core Team
% Distributed under GPL 2 or later

\name{.Script}
\title{Scripting Language Interface}
\alias{.Script}
\description{
  スクリプトをそのインタプリタを通して実行する内部的なインタフェイス．
}
\usage{
.Script(interpreter, script, args, \dots)
}
\arguments{
  \item{interpreter}{スクリプトに対するインタプリタの名前である文字列．}
  \item{script}{スクリプトの基本ファイル名の文字列で，
#ifdef unix
    (普通 \file{\var{\link{R_HOME}}/share} である) \file{\var{R_SHARE_DIR}} の
    サブディレクトリ \file{\code{interpreter}} 中になければならない．
#endif
#ifdef windows
    \file{\var{\link{R_HOME}}/share} の
    サブディレクトリ \file{\code{interpreter}} に
    なければならない．
#endif
  }
  \item{args}{スクリプトに渡される引数を与える文字列．}
  \item{\dots}{fスクリプトに対してインタプリタを起動する時
    \code{\link{system}} に渡される追加引数．}
}
\note{この関数は \R の内部使用専用である．}
\keyword{interface}
\keyword{internal}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/base/man/zScript.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2009 R Core Team
%% Distributed under GPL 2 or later
%
%\name{.Script}
%\title{Scripting Language Interface}
%\alias{.Script}
%\description{
%  Internal interface to run a script through its interpreter.
%}
%\usage{
%.Script(interpreter, script, args, \dots)
%}
%\arguments{
%  \item{interpreter}{a character string naming the interpreter for the
%    script.}
%  \item{script}{a character string with the base file name of the
%    script, which must be located in the \file{\code{interpreter}}
%    subdirectory of
%#ifdef unix
%    \file{\var{R_SHARE_DIR}} (normally \file{\var{\link{R_HOME}}/share}).
%#endif
%#ifdef windows
%    \file{\var{\link{R_HOME}}/share}.
%#endif
%  }
%  \item{args}{a character string giving the arguments to pass to the
%    script.}
%  \item{\dots}{further arguments to be passed to \code{\link{system}}
%    when invoking the interpreter on the script.}
%}
%\note{This function is for R internal use only.}
%\keyword{interface}
%\keyword{internal}
%